## vapoursynth-akarin-dmo 0.96f

=== meson_options.txt ===
option('static-llvm', type: 'boolean', value: true,
       description: 'Whether to statically link LLVM')

=== banding/libvmaf/Makefile ===
CFLAGS := -std=c99 -Wall -Wextra

test: test_cambi.c test.c mem.c picture.c ref.c
	cc -o $@ $(CFLAGS) -std=c99 $^ -lm
	./$@

.PHONY: clean
clean:
	rm -f *.o test

=== debian/changelog ===
vapoursynth-akarin-dmo (0.96f-dmo2) unstable; urgency=medium

  * Package name must be vapoursynth-akarin instead of vapoursynth-plugin

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Apr 2025 11:05:14 +0200

vapoursynth-akarin-dmo (0.96f-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Apr 2025 09:21:33 +0200

=== debian/control ===
Source: vapoursynth-akarin-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/AkarinVS/vapoursynth-plugin
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), meson, llvm-dev, quilt,
 vapoursynth-dev, libzstd-dev,

Package: vapoursynth-akarin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth,
Description: Various tools for video processing via vapoursynth.
 Various tools for video processing via vapoursynth. Each function is
 designed for specific video manipulation or analysis tasks.
 .
 CAMBI (Contrast Aware Multiscale Banding Index) is Netflix's detector for
 banding (aka contouring) artifacts.
 .
 Expr
 Works just like VapourSynth std.Expr with some additions.
 .
 Select
 For each frame evaluate the expression expr where clip variables (a-z)
 references the corresponding frame from prop_src. The result of the
 evaluation is used as an index to pick a clip from clip_src array which is
 used to satisfy the current frame request.
 .
 It could be used to replace common uses of std.FrameEval where you want to
 evaluate some metrics and then choose one of the clip to use.
 .
 PropExpr
 A filter to programmatically compute numeric frame properties. Given a
 list of clips, it will return the first clip after modifying its frame
 properties as specified by the dict argument. The expressions have access
 to the frame property of all the clips.
 .
 Text
 An enhanced VapourSynth text.Text
 .
 Version
 Use this function to query the version and features of the plugin.
 .
 Build with LLVM patches from
 https://github.com/Jaded-Encoding-Thaumaturgy/akarin-vapoursynth-plugin

Package: vapoursynth-plugin
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, vapoursynth-akarin,
Description: Various tools for video processing via vapoursynth.
  This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-D static-llvm=false

=== debian/watch ===
version=4

https://github.com/AkarinVS/vapoursynth-plugin/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
